Bug 9549 - Local Cover are not displayed in the Shelf Browser.
Summary: Local Cover are not displayed in the Shelf Browser.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Maxime Pelletier
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-05 18:25 UTC by Anthony Laquerre
Modified: 2014-12-07 20:03 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
LocalCoverMissing in shelfbrowser. (141.11 KB, image/png)
2013-02-05 18:25 UTC, Anthony Laquerre
Details
Patch based on 3.8.5 to fix (3.67 KB, patch)
2013-03-08 20:49 UTC, Maxime Pelletier
Details | Diff | Splinter Review
patch based on 3.8.5 (3.92 KB, patch)
2013-03-12 18:11 UTC, Maxime Pelletier
Details | Diff | Splinter Review
Patch for master (3.24 KB, patch)
2013-03-20 20:11 UTC, Maxime Pelletier
Details | Diff | Splinter Review
[Signed off] Bug 9549 Fix localcovers not shown in shelves browser. (3.61 KB, patch)
2013-03-21 22:57 UTC, Melia Meggs
Details | Diff | Splinter Review
Bug 9549 Fix localcovers not shown in shelves browser. (3.62 KB, patch)
2013-06-05 06:18 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Laquerre 2013-02-05 18:25:36 UTC
Created attachment 15069 [details]
LocalCoverMissing in shelfbrowser.

Example on current master : 
Look at the picture attached.

This document dont have a valid amazon image but do have localcover upload and tie to it.
I think we should have the ability to display the localcover in the shelf browser.
Usually, our user use the localcover when the cover is not available on Amazon.
Comment 1 Maxime Pelletier 2013-03-08 20:49:45 UTC Comment hidden (obsolete)
Comment 2 Maxime Pelletier 2013-03-12 17:02:50 UTC
Looks like I sent the wrong patch. Oops.
Comment 3 Maxime Pelletier 2013-03-12 18:11:17 UTC
Created attachment 16070 [details] [review]
patch based on 3.8.5
Comment 4 Maxime Pelletier 2013-03-20 20:11:01 UTC Comment hidden (obsolete)
Comment 5 Melia Meggs 2013-03-21 22:57:53 UTC Comment hidden (obsolete)
Comment 6 Melia Meggs 2013-03-21 22:59:52 UTC
Hello,

I applied the patch for master.  Here is what I did to test:

1. I uploaded a local cover image to a particular record in the staff client and set OPACLocalCoverImages sys pref to display.
2. I searched in the OPAC for my record, went to the Details page, and clicked on Browse Shelf.
3. I can see my local cover image there in the Shelf Browser.

So I think this is working, and I am signing off the patch for master.

Thanks,

Melia
Comment 7 Chris Cormack 2013-06-05 06:18:13 UTC
Created attachment 18654 [details] [review]
Bug 9549 Fix localcovers not shown in shelves browser.

I had to add some css to align to center the span containing the images.

Add the ability to view local cover images in the shelf browser.

To test:
1. Add a local cover image to a record. Set OPACLocalCoverImages sys pref to "display."
2. Search for the record, go to the Details page, and click on Browse Shelf.
3. Verify that the local cover image appears in the shelf browser.

Sponsored-by: CCSR

Signed-off-by: Melia Meggs <melia@bywatersolutions.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 8 Galen Charlton 2013-06-05 15:41:18 UTC
Pushed to master.  Thanks, Frédérick!